import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';

@Injectable()
export class CloudinaryConfigService {
  constructor(private configService: ConfigService) {}

  get baseUrl(): string {
    return this.configService.get<string>('cloudinary.base_url');
  }

  get cloudName(): string {
    return this.configService.get<string>('cloudinary.cloud_name');
  }

  get apiKey(): string {
    return this.configService.get<string>('cloudinary.api_key');
  }

  get apiSecret(): string {
    return this.configService.get<string>('cloudinary.api_secret');
  }
}
